
QGIS Application - Bug report #16647

Fix SAGA Random Terrain Algorithm with LTR

2017-06-01 12:56 AM - Pedro Venâncio

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24547

Description

SAGA Random Terrain has some parameter changes in LTR, including the name of the module:

http://www.saga-gis.org/saga_tool_doc/2.3.0/grid_calculus_6.html

compared with

http://www.saga-gis.org/saga_tool_doc/2.1.3/grid_calculus_6.html

So this update needs to be applied in QGIS 2.18 and QGIS master.

I attached the updated description file RandomTerrain.txt to replace RandomTerrainGeneration.txt.

I think this can be merged with this pull request: https://github.com/qgis/QGIS/pull/4648.

History

#1 - 2017-06-01 11:38 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Assignee changed from Alexander Bruy to Giovanni Manghi

- Subject changed from SAGA Random Terrain Algorithm with LTR to Fix SAGA Random Terrain Algorithm with LTR

#2 - 2017-06-02 07:42 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Already added to PR, thanks

Files

RandomTerrain.txt 500 Bytes 2017-05-31 Pedro Venâncio
